## GtkDataboxXYCGraph GtkDataboxXYCGraph — An abstract anchestor for all graphs which display xy-values in one color. |

## Types and Values

| GtkDataboxXYCGraph
| GtkDataboxXYCGraphClass

## Includes

    #include <gtkdatabox_xyc_graph.h>

## Description

GtkDataboxXYCGraphs are an abstract class for displaying XY-data in one color. The values for the data are represented as an array of X values and a second array of Y values. In order to actually display data, you should use one of the derived classes.

## Functions

## Types and Values

### GtkDataboxXYCGraph

    typedef struct _GtkDataboxXYCGraph GtkDataboxXYCGraph;

GtkDataboxXYCGraphs are an abstract class for displaying XY-data in one color. The values for the data are represented as an array of X values and a second array of Y values. In order to actually display data, you should use one of the derived classes.

### GtkDataboxXYCGraphClass

    typedef struct _GtkDataboxXYCGraphClass GtkDataboxXYCGraphClass;

The object class of GtkDataboxXYCGraph.

## See Also

GtkDatabox, GtkDataboxGraph, GtkDataboxPoints, GtkDataboxLines, GtkDataboxBars